Name:           oracle-ovirt-release-45-el8
Version:        1.0
Release:        21%{dist}
Summary:        oVirt yum repository configuration

Group:          System Environment
License:        GPLv2

Source0:        oracle-ovirt-45-ol8.repo
Source1:        LICENSE

BuildArch:     x86_64
Requires:      oraclelinux-release-el8
Requires:      oracle-gluster-release-el8
Requires:      grep
Requires:      gawk
Requires:      sed
Requires:      curl
Requires:      python3-dnf-plugin-versionlock

%description
This package contains the oVirt yum repository configuration.

%global debug_package %{nil}

%prep
%setup  -q  -c -T

%build


%install
rm -rf $RPM_BUILD_ROOT


install -m 755 -d $RPM_BUILD_ROOT/usr/share/doc/%{name}/
install -dm 755 $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d/
install -pm 644 %{SOURCE0} $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d/
install -m 755 %{SOURCE1}  $RPM_BUILD_ROOT%{_datadir}/doc/%{name}

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%dir %{_datadir}/doc/%{name}
%{_datadir}/doc/%{name}/*
%config(noreplace) /etc/yum.repos.d/*


%pre
OSVERSION=$( cat /etc/oracle-release | awk '{print $NF}' )
enabled_repos=$( /usr/bin/dnf repolist | tail -n +2 | awk '{print $1}' )
echo $enabled_repos > /etc/yum.repos.d/.oracle_enable_repolist


%post

echo -e "Setting up modules. This can take a minute"

if [ -e /etc/sysconfig/rhn/systemid ];then
   if [ -f /etc/yum.repos.d/oracle-ovirt-45-ol8.repo.incomplete ]; then
    sed -i 's/enabled=1/enabled=0/' /etc/yum.repos.d/oracle-ovirt-45-ol8.repo.incomplete
   else
    sed -i 's/enabled=1/enabled=0/' /etc/yum.repos.d/oracle-ovirt-45-ol8.repo
   fi
fi



%posttrans

ulnsubscription="false"
if [ -f /usr/sbin/uln-channel ]; then
    if [[ $(uln-channel -l &> /dev/null) ]]; then
       ulnsubscription="true"
    fi
fi


if [ "$ulnsubscription" != "true" ]; then

    /usr/bin/dnf config-manager --enable ol8_baseos_latest > /dev/null
    /usr/bin/dnf config-manager --enable ol8_gluster_appstream > /dev/null
    /usr/bin/dnf config-manager --enable ol8_kvm_appstream > /dev/null

fi

/usr/bin/dnf -y module disable virt:ol  > /dev/null
/usr/bin/dnf -y module enable virt:kvm_utils3  > /dev/null
/usr/bin/dnf -y module enable pki-deps  > /dev/null
/usr/bin/dnf -y module enable postgresql:13  > /dev/null
/usr/bin/dnf -y module enable mod_auth_openidc:2.3  > /dev/null
/usr/bin/dnf -y module reset nodejs  > /dev/null
/usr/bin/dnf -y module enable nodejs:18  > /dev/null

#stop excluding ansible-core from OL ol8_appstream and yum.conf
if [ -f /etc/yum.repos.d/oracle-linux-ol8.repo ];then
   sed -i 's/ansible-core//;/^exclude=$/d' /etc/yum.repos.d/oracle-linux-ol8.repo
fi

if [ -f /etc/yum.conf ];then
   sed -i 's/ansible-core//;/^exclude=$/d' /etc/yum.conf
fi

#version lock ansible-core to 2.13
/usr/bin/dnf versionlock ansible-core-2.13*  > /dev/null


%changelog
* Fri Nov 17 2023 Shubha Kulkarni <shubha.kulkarni@oracle.com> 1.0-1.0.21
- Pipe output to dev null and remove unnecessary echo statements
- Remove unnecessary OCI related manipulations

* Thu Aug 10 2023 Krishnan Venkatramanan <krishnan.venkatramanan@oracle.com> 1.0-1.0.20
- Update version lock for ansible-core - lock to version 2.13*

* Tue Aug 08 2023 Saksham Srivastava <saksham.sa.srivastava@oracle.com> 1.0-1.0.19
- Adding the version lock for ansible-core

* Wed Aug 02 2023 Shubha Kulkarni <shubha.kulkarni@oracle.com> 1.0-1.0.18
- Do not remove 44 repos 

* Thu Jul 27 2023 Shubha Kulkarni <shubha.kulkarni@oracle.com> 1.0-1.0.17
- update ansible-core exclusion

* Fri Jul 07 2023 Shubha Kulkarni <shubha.kulkarni@oracle.com> 1.0-1.0.16
- Add OLVM-4.4 repos so that engine-setup can rollback update in case of failure

* Thu May 18 2023 Shubha Kulkarni <shubha.kulkarni@oracle.com> 1.0-1.0.15
- Exclude ansible-core updates from OL ol8_appstream

* Thu May 18 2023 Shubha Kulkarni <shubha.kulkarni@oracle.com> 1.0-1.0.14
- Enable kvm_utils3 module which has latest libvirt

* Wed May 10 2023 Shubha Kulkarni <shubha.kulkarni@oracle.com> 1.0-1.0.12
- Enable nodejs module

* Fri Apr 07 2023 Shubha Kulkarni <shubha.kulkarni@oracle.com> 1.0-1.0.11
- Remove 4.3 check

* Fri Apr 07 2023 Shubha Kulkarni <shubha.kulkarni@oracle.com> 1.0-1.0.10
- Update script and repo for OLVM-4.5 installs

* Wed Apr 13 2022 Shubha Kulkarni <shubha.kulkarni@oracle.com> 1.0-1.0.9
- Cleanup and Update script to check uln subscription

* Tue Apr 12 2022 Shubha Kulkarni <shubha.kulkarni@oracle.com> 1.0-8
  Enable kvm_utils2 channel

* Tue Feb 01 2022 Shubha Kulkarni <shubha.kulkarni@oracle.com> 1.0-7
  Updated repo to use libvirt 7.10 & qemu-6.1

* Thu Jan 20 2022 Shubha Kulkarni <shubha.kulkarni@oracle.com> 1.0-6
  Add gluster repo as requirement
  
* Wed Jan 19 2022 Shubha Kulkarni <shubha.kulkarni@oracle.com> 1.0-5
- Use GPLv2 version of LICENSE

* Mon Jan 17 2022 Shubha Kulkarni <shubha.kulkarni@oracle.com> 1.0-4
- Install gluster repo and update License version

* Fri Dec 10 2021 Shubha Kulkarni <shubha.kulkarni@oracle.com> 1.0-3
- Enable postgres and pki modules

* Wed Dec 1 2021 Shubha Kulkarni <shubha.kulkarni@oracle.com> 1.0-2
- Remove gluster repo and update ol8 repos

* Tue Nov 16 2021 Jaroslav Stepanek <jaroslav.stepanek@oracle.com> 1.0-1
- Initial package
